VERSION 5.00
Begin VB.Form Form5 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   Caption         =   "Parameters"
   ClientHeight    =   3510
   ClientLeft      =   1095
   ClientTop       =   1980
   ClientWidth     =   7365
   DrawMode        =   16  'Merge Pen
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   FontTransparent =   0   'False
   ForeColor       =   &H80000008&
   LinkMode        =   1  'Source
   LinkTopic       =   "Form5"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3510
   ScaleWidth      =   7365
   WindowState     =   2  'Maximized
   Begin VB.Menu fn 
      Caption         =   "Function "
   End
   Begin VB.Menu ep 
      Caption         =   "epsilon"
   End
   Begin VB.Menu fr 
      Caption         =   "IN-Range"
   End
   Begin VB.Menu rg 
      Caption         =   "OUT-range"
   End
   Begin VB.Menu rs 
      Caption         =   "W-seed"
   End
   Begin VB.Menu sr 
      Caption         =   "showrate"
   End
   Begin VB.Menu sc 
      Caption         =   "update"
   End
   Begin VB.Menu tp 
      Caption         =   "trainmax"
   End
   Begin VB.Menu ad 
      Caption         =   "A/D?"
   End
   Begin VB.Menu errr 
      Caption         =   "Err-test"
   End
   Begin VB.Menu thr 
      Caption         =   "Threshold"
   End
   Begin VB.Menu ond 
      Caption         =   "End"
   End
End
Attribute VB_Name = "Form5"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub ad_Click()
 If analog = 1 Then analog = 0 Else analog = 1
 Call showparms
End Sub

Private Sub ep_Click()
kks$ = InputBox$("Enter epsilon", "Learning Rate")
If kks$ <> "" Then eps = Val(kks$)
 Call showparms
End Sub

Private Sub errr_Click()
If airtest = 1 Then airtest = 0 Else airtest = 1
Call showparms
End Sub

Private Sub fn_Click()
fuf = fuf + 1: If fuf > 4 Then fuf = 1
If fuf = 1 Then funct$ = "Linear"
If fuf = 2 Then funct$ = "Sigmoid/TANH"
If fuf = 3 Then funct$ = "Arctangent"
If fuf = 4 Then funct$ = "SGN"
Call showparms
End Sub

Private Sub Form_Activate()
WindowState = 2
Call showparms
End Sub

Private Sub Form_GotFocus()
WindowState = 2
Call showparms
End Sub

Private Sub Form_LinkClose()
Form5.Hide
Form1.Show
End Sub

Private Sub Form_LinkOpen(Cancel As Integer)
Call showparms
End Sub

Private Sub Form_Load()
Call showparms
End Sub

Private Sub Form_LostFocus()
Form5.Hide
Form1.Show
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, y As Single)
'Text1.Text = X & " " & y
If y > 0.75 And y < 1.25 Then Call fn_Click
If y > 1.25 And y < 1.75 Then Call ep_Click
If y > 1.75 And y < 2.25 Then Call fr_Click
If y > 2.25 And y < 2.75 Then Call rg_Click
If y > 2.75 And y < 3.25 Then Call rs_Click
If y > 3.25 And y < 3.75 Then Call sr_Click
If y > 3.75 And y < 4.25 Then Call sc_Click
If y > 4.25 And y < 4.75 Then Call tp_Click
If y > 4.75 And y < 5.25 Then Call ad_Click
If y > 5.25 And y < 5.75 Then Call errr_Click
If y > 5.75 And y < 6.25 Then Call thr_Click
'If y > 6.25 And y < 6.75 Then Text1.Text = 7







End Sub

Private Sub Form_Unload(Cancel As Integer)
Call ond_Click
End Sub

Private Sub fr_Click()
kks$ = InputBox$("Enter Low Side of Range", "Input  Range")
If kks$ <> "" Then ilow = Val(kks$)
kks$ = InputBox$("Enter High Side of Range", "Input Range")
If kks$ <> "" Then ihigh = Val(kks$)
  Call showparms
End Sub

Private Sub ond_Click()
Form5.Hide
Form1.Show
End Sub

Private Sub rg_Click()
kks$ = InputBox$("Enter Lowest Desired Wt.:", "Low Output")
If kks$ <> "" Then olow = Val(kks$)
 kks$ = InputBox$("Enter Highest Desired Wt.:", "High Output")
If kks$ <> "" Then ohigh = Val(kks$)
 Call showparms
End Sub

Private Sub rs_Click()
kks$ = InputBox$("Enter Seed #:", "Random Seed")
If kks$ <> "" Then sseed% = Val(kks$)
  Call showparms
End Sub
 

Private Sub sc_Click()
If uppdate = 1 Then uppdate = 2 Else uppdate = 1
'kks$ = InputBox$("1=update on sample,2=update on pattern")
'If kks$ <> "" Then uppdate = Val(kks$)
 Call showparms
End Sub

Private Sub showparms()
Scale (0, 0)-(10, 10)
If fuf = 1 Then funct$ = "Linear"
If fuf = 2 Then funct$ = "Sigmoid/TANH"
If fuf = 3 Then funct$ = "Arctangent"
If fuf = 4 Then funct$ = "SGN"

 CurrentX = 1: CurrentY = 1: Print "                                                                                             "
 CurrentX = 1: CurrentY = 1.5: Print "                                                                                             "
 CurrentX = 1: CurrentY = 2: Print "                                                                                                 "
 CurrentX = 1: CurrentY = 2.5: Print "                                                                                                 "
 CurrentX = 1: CurrentY = 3: Print "                                                                                                  "
 CurrentX = 1: CurrentY = 3.5: Print "                                                                                                      "
 CurrentX = 1: CurrentY = 4: Print "                                                                                                 "
 CurrentX = 1: CurrentY = 4.5: Print "                                                                                               "
 CurrentX = 1: CurrentY = 5: Print "                                                                                                  "
 CurrentX = 1: CurrentY = 5.5: Print "                                                                                                  "
 CurrentX = 1: CurrentY = 6#: Print "                                                                                                  "
CurrentX = 1: CurrentY = 1: Print "Transfer Function type is.............. "; Tab(50); funct$
CurrentX = 1: CurrentY = 1.5: Print "Epsilon/learning rate is................. "; Tab(50); eps
CurrentX = 1: CurrentY = 2.5: Print "Output Data Range (low,high)....... "; Tab(50); olow; ","; ohigh
CurrentX = 1: CurrentY = 2#: Print "Input Data Range (low,high)......... "; Tab(50); ilow; ","; ihigh
CurrentX = 1: CurrentY = 3: Print "Random Weight Seed =................ "; Tab(50); sseed%
CurrentX = 1: CurrentY = 3.5: Print "Show update after....................... "; Tab(50); cycles, " cycles"
CurrentX = 1: CurrentY = 4: Print "After each (1=sample,2=pattern).... "; Tab(50); uppdate
CurrentX = 1: CurrentY = 4.5: Print "Stop training after........................ "; Tab(50); trainmax
CurrentX = 1: CurrentY = 5: Print "Output (1=analog, 0=digital).......... "; Tab(50); analog
CurrentX = 1: CurrentY = 5.5: Print "Error Test...................................";: If airtest = 1 Then Print Tab(50); "ON" Else Print Tab(50); "OFF"; ""
CurrentX = 1: CurrentY = 6#: Print "Analog Threshold.....................";: Print Tab(50); Format$(threshold, "#.######"); ""

End Sub

Private Sub sr_Click()
kks$ = InputBox$("Enter # Data Cycles before Display Update", "Show Rate")
If kks$ <> "" Then cycles = Val(kks$)
 Call showparms
End Sub

Private Sub thr_Click()
kks$ = InputBox$("Analog Training Threshold:", "Threshold")
If kks$ <> "" Then threshold = Val(kks$)
Call showparms

End Sub

Private Sub tp_Click()
kks$ = InputBox$("Enter number of training cycles:", "Training limit")
If kks$ <> "" Then trainmax = Val(kks$)
Call showparms
End Sub

